import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import { useMessage } from '/@/hooks/web/useMessage';

export const columns: BasicColumn[] = [
  {
    title: '登录用户',
    dataIndex: 'USER_ID',
    width: 80,
  },
  {
    title: '登录来源',
    dataIndex: 'LOGIN_FROM',
    width: 300,
  },
  {
    title: '登录时间',
    dataIndex: 'LOGIN_TIME',
    width: 80,
  },
  {
    title: '注销时间',
    dataIndex: 'LOGOUT_TIME',
    width: 80,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'LOGIN_FROM',
    label: '登录来源',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'LOGIN_TIME',
    label: '登录时间',
    component: 'RangePicker',
    colProps: { span: 8 },
  },
];
